Loading...
Searching...
No Matches
sntp_opts.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/prot/iana.h"`

## Macros

#define | SNTP_SET_SYSTEM_TIME(sec)
#define | SNTP_MAX_SERVERS LWIP_DHCP_MAX_NTP_SERVERS
#define | SNTP_GET_SERVERS_FROM_DHCP LWIP_DHCP_GET_NTP_SRV
#define | SNTP_GET_SERVERS_FROM_DHCPV6 LWIP_DHCP6_GET_NTP_SRV
#define | SNTP_SERVER_DNS 0
#define | SNTP_DEBUG LWIP_DBG_OFF
#define | SNTP_PORT LWIP_IANA_PORT_SNTP
#define | SNTP_CHECK_RESPONSE 0
#define | SNTP_COMP_ROUNDTRIP 0
#define | SNTP_STARTUP_DELAY 1
#define | SNTP_STARTUP_DELAY_FUNC (LWIP_RAND() % 5000)
#define | SNTP_RECV_TIMEOUT 15000
#define | SNTP_UPDATE_DELAY 3600000
#define | SNTP_GET_SYSTEM_TIME(sec, us)
#define | SNTP_RETRY_TIMEOUT SNTP_RECV_TIMEOUT
#define | SNTP_RETRY_TIMEOUT_MAX (SNTP_RETRY_TIMEOUT * 10)
#define | SNTP_RETRY_TIMEOUT_EXP 1
#define | SNTP_MONITOR_SERVER_REACHABILITY 1

## Detailed Description

SNTP client options list